[review_template]
template/name = ExampleWindows
template/version = 20180101

;set the maximum and minimum values on the graph
max_graph_y_value = 10
min_graph_y_value = 0
database_file/name = review_event_data.sqlite3
video_channel_count = 1
default_frame_step_fps = 1

;export format
export_format = JSON
export_file_extension = "json"

;measurement
measurement_mode_enabled = false

;em_data_files
file/1/name = *primary_sensor*
file/1/type = PRIMARY
file/1/minimum_field_count = 4
;reduce input file counts by this factor
;set to 1 if no winnowing is desired
file/1/winnow_factor = 1
;should we detect gaps in the data?
file/1/detect_gaps = true
;if so, how many seconds consititutes a gap
file/1/gap_seconds = 120

;all files must have a time key
file/1/date_time_format_string = yyyy-MM-ddTHH:mm:ssZ
file/1/date_time_combined_field_index = 0

;optional lat/lon values
file/1/latitude_field_index = 1
file/1/longitude_field_index = 2

;color code map by speed
file/1/map_color_code/field_index = 3
file/1/map_color_code/threshold = 500
file/1/map_color_code/highlight_color = gray
file/1/map_color_code/track_color = salmon
file/1/map_color_code/gap_meters = 2000

;sensor plot values
file/1/sensor_plot/1/name = Speed (kts)
file/1/sensor_plot/1/field_index = 3
file/1/sensor_plot/1/style = LINE
file/1/sensor_plot/1/color = purple
file/1/sensor_plot/1/zorder = 100
file/1/sensor_plot/1/factor = 1

;globbed filename here gives us a set of files
file/2/name = *.video-toc
file/2/type = VIDEO_TOC


;events
event/1/name = Trip
event/1/marker_type = DURATION
event/1/color = green
event/1/style = LINE
event/1/alpha = 255

event/1/control/1/name = Trip Number
event/1/control/1/required = false
event/1/control/1/type = INTEGER
event/1/control/1/bottom = 0
event/1/control/1/top = 100000

event/1/control/2/name = Vessel
event/1/control/2/required = true
event/1/control/2/type = SELECT
event/1/control/2/values = "1:Test Vessel 1","2:Test Vessel 2"

event/1/control/3/name = Begin Port
event/1/control/3/required = true
event/1/control/3/type = SELECT
event/1/control/3/values = "1:Kodiak","2:Akutan","3:Dutch Harbor","5:King Cove","6:King Salmon","7:Other","8:Sand Point-8","10:Transfer At Sea"
event/1/control/3/default_value = "3:Dutch Harbor"

event/1/control/4/name = End Port
event/1/control/4/required = true
event/1/control/4/type = SELECT
event/1/control/4/values = "1:Kodiak","2:Akutan","3:Dutch Harbor","5:King Cove","6:King Salmon","7:Other","8:Sand Point-8","10:Transfer At Sea"
event/1/control/4/default_value = "3:Dutch Harbor"

event/1/control/5/name = Log Book Data Available?
event/1/control/5/required = true
event/1/control/5/type = SELECT
event/1/control/5/values = "1:Yes","0:No"

event/1/control/6/name = Notes
event/1/control/6/required = false
event/1/control/6/type = TEXT

event/1/control/7/name = Review Start Date Time (UTC)
event/1/control/7/required = true
event/1/control/7/type = DATE_TIME


event/2/name = Haul
event/2/marker_type = DURATION
event/2/color = magenta
event/2/style = SHADE
event/2/alpha = 50

event/3/name = Annotation
event/3/marker_type = POINT
event/3/color = blue
event/3/style = LINE
event/3/alpha = 255

event/3/control/1/name = Notes
event/3/control/1/required = false
event/3/control/1/type = TEXT















